package com.yonge.cooleshow.common.enums;

import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-24
 */
public enum PlatformEnum implements BaseEnum<String,PlatformEnum> {

    STUDENT("STUDENT","STUDENT"),
    TEACHER("TEACHER","TEACHER");

    private String code;
    private String msg;

    PlatformEnum(String code,String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
